function eulermethod
t0 = 0;
tn = 0.5;
h = 0.1;
y0 = 1.4;
t = t0:h:tn; y(1)= y0;
n = length(t); %exact solution
for i = 1:n-1
    dy = 2*t(i)+(y(i))^2 ;
    y(i+1)=y(i)+ h*dy; %numerical solution
end
[t' y']
plot(t,y,'*-')
ylabel('Response')
xlabel('Time(hour)')
grid on
grid minor
legend('Dynamic Response(y)')